# Optional external dependencies
find_package(easy_profiler)

option(EASY_PROFILER "Enable the profiler" OFF)
if(EASY_PROFILER)
    if(easy_profiler_FOUND)

    else()
        message(WARNING "EasyProfiler dependency not found on system, DISABLING it!")
        set(EASY_PROFILER OFF)
    endif()
endif()

if(NOT EASY_PROFILER)
    add_definitions(-DDISABLE_EASY_PROFILER)
endif()

message("-- Easy Profiler: ${EASY_PROFILER}")
